
Foreman - Feature #132

clone an existing host

12/15/2009 09:52 AM - Matt Moran

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Host creation   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Would be nice to be able to clone an existing host to a new host.  The cloned host would have hostname, mac, ip etc. blank but

would clone things like partition table, group, root password etc.

Associated revisions

Revision dad78fb6 - 05/06/2010 04:00 PM - Paul Kelly

Fixes #132 - Added a clone operation

This clones the AR, attaches clones of the

originals host_parameters and then renders the "new" action, ready for editing.

The host_parameters must not use validate_presence of :host_id when using nested attributes.

Created a hidden :nested attribute to the form to flag this behaviour

Also converted the host _form to use a table so that error boxes around the attributes look correct.

Unmodified attributes in the clone are also highlighted ready for editing

Ohad has committed ontop of the original patch, but the it still under

Paul name so he could be blamed for all :)

Revision 76766ddc - 06/26/2011 10:30 PM - Trevor Vaughan 

Full update to the Apache 2.0 License.

Closes #132

Revision b3794784 - 06/27/2011 10:58 PM - Trevor Vaughan 

Forgot to update the licence in the Readme file.

Refs #132

History

#1 - 12/15/2009 11:18 AM - Ohad Levy

- Target version set to 0.1-4

#2 - 03/08/2010 06:05 AM - Ohad Levy

- Target version changed from 0.1-4 to 0.1-5

This will be really easy once we get rid of ActiveScaffold (e.g. in the NO_AS feature branch).

I'm targeting this feature for the next release

#3 - 03/18/2010 09:38 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Assignee set to Paul Kelly
There is an implementation for this on branch feature/132 on my github

#4 - 05/02/2010 12:55 PM - Paul Kelly

Rebased against develop and added some bells and whistles.

#5 - 05/05/2010 02:03 PM - Paul Kelly

rebased against develop and ensured that all tests pass

#6 - 05/06/2010 04:08 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset dad78fb69c590f060354aa4fd77e77dfbdf007b4.

#7 - 05/06/2010 04:20 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
